DECLARE @LeagueId int
DECLARE @DivisionId int
DECLARE @ConferenceId int
DECLARE @TeamId int


EXEC usp_LeagueInsert @LeagueId OUTPUT, @LeagueName = 'MLB'
EXEC usp_ConferenceInsert @ConferenceId OUTPUT, @LeagueId = @LeagueId, @ConferenceName = 'American League'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'East'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Boston Red Sox'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Baltimore Orioles'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'NY Yankees'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Toronto Blue Jays'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Tampa Bay Devil Rays'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Central'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Chicago White Sox'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Detriot Tigers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Cleveland Indians'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Minnesota Twin'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Kansas City Royals'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'West'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'LA Angels'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Texas Rangers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Oakland A''s'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Seattle Mariners'
EXEC usp_ConferenceInsert @ConferenceId OUTPUT, @LeagueId = @LeagueId, @ConferenceName = 'National League'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'East'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'NY Mets'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Atlanta Braves'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Philadelphia Phillies'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Washington Nationals'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Florida Marlins'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Central'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Houston Astros'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Cincinatti Reds'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'St. Louis Cardinals'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Chicago Cubs'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Milwaukee Brewers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Pittsburgh Pirates'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'West'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Colorado Rockies'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'San Francisco Giants'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'LA Dodgers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'San Diego Padres'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Arizona Diamondbacks'

EXEC usp_LeagueInsert @LeagueId OUTPUT, @LeagueName = 'NBA'
EXEC usp_ConferenceInsert @ConferenceId OUTPUT, @LeagueId = @LeagueId, @ConferenceName = 'Eastern Conference'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Atlantic'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'New Jersey Nets'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Philadelphia 76ers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Boston Celtics'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Toronto Raptors'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'New York Knicks'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Central'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Detriot Pistons'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Cleveland Cavaliers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Indiana Pacers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Chicago Bulls'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Milwaukee Bucks'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Southeast'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Miami Heat'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Washington Wizards'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Orlando Magic'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Charlotte Hornets'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Atlanta Hawks'
EXEC usp_ConferenceInsert @ConferenceId OUTPUT, @LeagueId = @LeagueId, @ConferenceName = 'Western Conference'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Southwest'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'San Antonio Spurs'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Dallas Mavericks'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Memphis Grizzles'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'New Orleans Hornets'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Houston Rockets'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Northeast'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Denver Nuggets'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Utah Jazz'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Seattle Supersonics'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Minnesota Timberwolves'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Portland Blazers'
EXEC usp_DivisionInsert @DivisionId OUTPUT, @ConferenceId = @ConferenceId, @DivisionName = 'Pacific'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Phoenix Suns'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'LA Clippers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'LA Lakers'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Sacramento Kings'
EXEC usp_TeamInsert @TeamId OUTPUT, @DivisionId = @DivisionId, @TeamName = 'Golden State Warriors'




