<%@ Page language="vb" Codebehind="Sample3_Feedback.aspx.vb" AutoEventWireup="false" Inherits="Contacts.Sample3Feedback" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Using a class and providing feedback</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="vb" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK media="all" href="contact.css" rel="stylesheet">
		<script language="javascript" src="utility.js" type="text/javascript"></script>
		<script language="javascript" src="test.js" type="text/javascript"></script>
	</HEAD>
	<body onload="ReadOnlyClicked();" MS_POSITIONING="GridLayout">
		<form id="Form1" method="post" runat="server">
			<table id="tblMain" width="100%">
				<tr id="trHeading">
					<td>
						<table width="100%">
							<tr>
								<td class="PageHeader" align="center">Contacts</td>
							</tr>
							<tr>
								<td>Contact Id <INPUT id="txtLoadContactId" type="text" value="1"> <input id="chkReadOnly" onclick="ReadOnlyClicked();" type="checkbox">Read 
									Only</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr class="toolbar" id="trToolbar">
					<td>
						<table width="100%">
							<tr>
								<td class="toolButton" id="tbLoad" noWrap><A class="toolButton" id="aLoad" href="javascript:GetContact();"><IMG src="images/open.gif">Load 
										Contact</A></td>
								<td class="toolButton" id="tbSave" noWrap><A class="toolButton" id="aSave" href="javascript:SaveContact();"><IMG src="images/save.gif">Save 
										Contact</A></td>
								<td width="100%"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="trFeedback">
					<td>
						<table id="tblMessage">
							<tr>
								<td id="tdImg"></td>
								<td id="tdMessage" width=100%></td>
								<td><a href="javascript:HideControl('tblMessage');" class="close">close</a></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td id="tdExtra" colspan="2"></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<table width="100%">
				<tr id="trMain" height="100%">
					<td>
						<TABLE class="PropertyGrid" id="tblContact" cellSpacing="1" cellPadding="1" width="100%"
							border="1">
						</TABLE>
					</td>
				</tr>

				<tr id="trFooter">
					<td></td>
				</tr>
			</table>
		</form>
		<script language="javascript">
function GetContact()
{

	DisplayMessage(msgTypePleaseWait, "Loading record", "");
	// Clear the table
	ClearTable("tblContact");
	CreateRowTitle("Property", "&nbsp;", "Value");
	
	// Get the contact id
	var oContactId = getElem("txtLoadContactId");
	var contactId = oContactId.value;
	
	Contacts.Sample3Feedback.ReturnClass(contactId, GetContact_Callback); 

}
function GetContact_Callback(response)
{

	if (response.error != null)
	{
		//alert (response.message);
		DisplayMessage(msgTypeCritical, response.error, "GetContact");
		return;
	}

	var oReadOnly = getElem("chkReadOnly");
	var bReadOnly = oReadOnly.checked;

	var contact = response.value;
	
	CreateRow("ContactId", contact.ContactId, 1, bReadOnly);
	CreateRow("FirstName", contact.FirstName, 0, bReadOnly);
	CreateRow("MiddleName", contact.MiddleName, 1, bReadOnly);
	CreateRow("LastName", contact.LastName, 0, bReadOnly);
	CreateRow("HomeNumber", contact.HomeNumber, 1, bReadOnly);
	CreateRow("WorkNumber", contact.WorkNumber, 0, bReadOnly);
	CreateRow("MobileNumber", contact.MobileNumber, 1, bReadOnly);
	CreateRow("Email1", contact.Email1, 0, bReadOnly);
	CreateRow("Email2", contact.Email2, 1, bReadOnly);
	CreateRow("Email3", contact.Email3, 0, bReadOnly);
	CreateRow("Address1", contact.Address1, 1, bReadOnly);
	CreateRow("Address2", contact.Address2, 0, bReadOnly);
	CreateRow("CityName", contact.CityName, 1, bReadOnly);
	CreateRow("State", contact.State, 0, bReadOnly);
	CreateRow("ZipCode", contact.ZipCode, 1, bReadOnly);
	CreateRow("ZipPlus4", contact.ZipPlus4, 0, bReadOnly);
	
	DisableControl("txtContactId");
	
	contact = null;
	DisplayMessage(msgTypeSuccessComplete, "Done!", "")
	
}

function SaveContact()
{
	DisplayMessage(msgTypePleaseWait, "Saving Record", "");
	
	var contact = new Object();
	
	contact.ContactId = getElem("txtContactId").value;
	contact.FirstName = getElem("txtFirstName").value;
	contact.MiddleName = getElem("txtMiddleName").value;
	contact.LastName = getElem("txtLastName").value;
	contact.HomeNumber = getElem("txtHomeNumber").value;
	contact.WorkNumber = getElem("txtWorkNumber").value;
	contact.MobileNumber  = getElem("txtMobileNumber").value;
	contact.Email1 = getElem("txtEmail1").value;
	contact.Email2  = getElem("txtEmail2").value;
	contact.Email3 = getElem("txtEmail3").value;
	contact.Address1  = getElem("txtAddress1").value;
	contact.Address2  = getElem("txtAddress2").value;
	contact.CityName = getElem("txtCityName").value;
	contact.State  = getElem("txtState").value;
	contact.ZipCode = getElem("txtZipCode").value;
	contact.ZipPlus4 = getElem("txtZipPlus4").value;
	
	Contacts.Sample3Feedback.SaveContact(contact, SaveContact_Callback);
	
	contact = null;

}

function SaveContact_Callback(response)
{

	if (response.error != null)
	{
		DisplayMessage(msgTypeCritical, response.error, "SaveContact");
		return;
	}

	DisplayMessage(msgTypeSuccessComplete, "Save was successful!", "");
}

function CreateRowTitle(Field1, Field2, Field3)
{
	var oTR = getElem("tblContact").insertRow(-1);
	var oTDName;
	var oTDBlank;
	var oTDValue;
	oTR.className="PropertyGridSubHeader";
	oTDName = oTR.insertCell(-1);
	oTDName.innerHTML = Field1
	oTDBlank = oTR.insertCell(-1);
	oTDBlank.innerHTML = Field2
	oTDValue = oTR.insertCell(-1);
	oTDValue.width="100%";
	oTDValue.innerHTML = Field3
}
function CreateRow(PropertyName, PropertyValue, OddOrEven, ReadOnly)
{
	var oTR = getElem("tblContact").insertRow(-1);
	var oTDName;
	var oTDBlank;
	var oTDValue;

	if (OddOrEven == 0)
		oTR.className = "PropertyRow";
	else
		oTR.className = "PropertyRowAlt";

	oTDName = oTR.insertCell(-1);
	oTDName.innerHTML = GetHTMLText(PropertyName, false);
	oTDBlank = oTR.insertCell(-1);
	oTDBlank.innerHTML = "&nbsp;"
	oTDValue = oTR.insertCell(-1);
	oTDValue.width="100%";
	if (ReadOnly == true)
		oTDValue.innerHTML = GetHTMLText(PropertyValue, false);
	else
	{
		var oText = document.createElement("INPUT");
		oText.type = "text";
		oText.value = GetText(PropertyValue, false);
		oText.width=255;
		oText.id = "txt" + PropertyName;
		oTDValue.insertBefore(oText, null);
		oText = null;
	}
	
	oTDName = null;
	oTDBlank = null;
	oTDValue = null;
			
}

function ReadOnlyClicked()
{
	if (getElem("chkReadOnly").checked == true)
		DisableButton("tbSave");
	else
		EnableButton("tbSave");
}


		</script>
		<DIV></DIV>
	</body>
</HTML>
